Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Class GradleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException

    class GradleException
    extends java.lang.RuntimeException

`GradleException` is the base class of all exceptions thrown by Gradle.

author:
  Hans Dockter

Constructor Summary
`GradleException()`
`GradleException(java.lang.String message)`
`GradleException(java.lang.String message, java.lang.Throwable cause)`
`GradleException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Exception
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Throwable
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### GradleException

    public GradleException()

### GradleException

    public GradleException(java.lang.String message)

### GradleException

    public GradleException(java.lang.String message, java.lang.Throwable cause)

### GradleException

    public GradleException(java.lang.Throwable cause)

Groovy Documentation